<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/RecipeService.html#search(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">search(RecipeSearchRequestDto)</a></span> - Method in interface com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service">RecipeService</a></dt>
<dd>
<div class="block">Provide implementation for fetching all recipe records matching provided search criteria</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/service/RecipeServiceImpl.html#search(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">search(RecipeSearchRequestDto)</a></span> - Method in class com.abn.recipe.recipeservice.service.<a href="../com/abn/recipe/recipeservice/service/RecipeServiceImpl.html" title="class in com.abn.recipe.recipeservice.service">RecipeServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/controller/RecipeController.html#searchRecipe(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">searchRecipe(RecipeSearchRequestDto)</a></span> - Method in class com.abn.recipe.recipeservice.controller.<a href="../com/abn/recipe/recipeservice/controller/RecipeController.html" title="class in com.abn.recipe.recipeservice.controller">RecipeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html#searchRecipesByIngredientsAndInstructions()">searchRecipesByIngredientsAndInstructions()</a></span> - Method in class com.abn.recipe.recipeservice.integration.<a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html#searchRecipesByNameLike()">searchRecipesByNameLike()</a></span> - Method in class com.abn.recipe.recipeservice.integration.<a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html#searchRecipesByVegetarianAndIngredientsAndServings()">searchRecipesByVegetarianAndIngredientsAndServings()</a></span> - Method in class com.abn.recipe.recipeservice.integration.<a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html#searchRecipesByVegetarianFalse()">searchRecipesByVegetarianFalse()</a></span> - Method in class com.abn.recipe.recipeservice.integration.<a href="../com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration">RecipeSearchIntegrationTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">ServiceResponseDto</span></a>&lt;<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="type parameter in ServiceResponseDto">T</a> extends java.io.Serializable&gt; - Class in <a href="../com/abn/recipe/recipeservice/dto/package-summary.html">com.abn.recipe.recipeservice.dto</a></dt>
<dd>
<div class="block">Standard Service Response Wrapper for all endpoint operations</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#%3Cinit%3E()">ServiceResponseDto()</a></span> - Constructor for class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#%3Cinit%3E(java.lang.String)">ServiceResponseDto(String)</a></span> - Constructor for class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#%3Cinit%3E(java.lang.String,java.lang.String)">ServiceResponseDto(String, String)</a></span> - Constructor for class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#%3Cinit%3E(T)">ServiceResponseDto(T)</a></span> - Constructor for class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/abn/recipe/recipeservice/dto/ServiceResult.html" title="enum in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">ServiceResult</span></a> - Enum in <a href="../com/abn/recipe/recipeservice/dto/package-summary.html">com.abn.recipe.recipeservice.dto</a></dt>
<dd>
<div class="block">Service Result Enum, to indicate Status of Request</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#setDto(T)">setDto(T)</a></span> - Method in class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#setErrorMessage(java.lang.String)">setErrorMessage(String)</a></span> - Method in class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/exception/ValidationException.html#setErrorType(com.abn.recipe.recipeservice.exception.ErrorType)">setErrorType(ErrorType)</a></span> - Method in exception com.abn.recipe.recipeservice.exception.<a href="../com/abn/recipe/recipeservice/exception/ValidationException.html" title="class in com.abn.recipe.recipeservice.exception">ValidationException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/BaseEntity.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in interface com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Ingredients.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setIngredients(java.util.Set)">setIngredients(Set&lt;Ingredients&gt;)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setInstructions(java.lang.String)">setInstructions(String)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/BaseEntity.html#setName(java.lang.String)">setName(String)</a></span> - Method in interface com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Ingredients.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setName(java.lang.String)">setName(String)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#setResponseId(java.lang.String)">setResponseId(String)</a></span> - Method in class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html#setServiceResult(com.abn.recipe.recipeservice.dto.ServiceResult)">setServiceResult(ServiceResult)</a></span> - Method in class com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setServingQuantity(java.lang.Long)">setServingQuantity(Long)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/entity/Recipe.html#setVegetarian(boolean)">setVegetarian(boolean)</a></span> - Method in class com.abn.recipe.recipeservice.entity.<a href="../com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">Recipe</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/abn/recipe/recipeservice/dto/ServiceResult.html#SUCCESS">SUCCESS</a></span> - com.abn.recipe.recipeservice.dto.<a href="../com/abn/recipe/recipeservice/dto/ServiceResult.html" title="enum in com.abn.recipe.recipeservice.dto">ServiceResult</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
